Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://public-api-demo.clearline.me/v2/pos/{posSystemId}/integrations/account/newRegistration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subscriptionPlanCode": "157AJME5XDSE2",
"sendToEmail": "[some_email]",
"configuration": {
"posCompanyId": "comp5",
"posLocationId": "loc5",
"terminalId": "term5",
"externalUserId": "user5"
},
"profile": {
"firstName": "PT_141_1_first",
"lastName": "PT_141_1_last",
"email": "PT_141_1@mail.com",
"phoneNumber": "1111111111",
"companyName": "PT_141_1",
"address": "my address",
"city": "my city",
"state": "CA",
"website": "https://mysite.com",
"zip": "12323"
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subscriptionPlanCode: '157AJME5XDSE2',
sendToEmail: '[some_email]',
configuration: {
posCompanyId: 'comp5',
posLocationId: 'loc5',
terminalId: 'term5',
externalUserId: 'user5'
},
profile: {
firstName: 'PT_141_1_first',
lastName: 'PT_141_1_last',
email: 'PT_141_1@mail.com',
phoneNumber: '1111111111',
companyName: 'PT_141_1',
address: 'my address',
city: 'my city',
state: 'CA',
website: 'https://mysite.com',
zip: '12323'
}
})
};
fetch('https://public-api-demo.clearline.me/v2/pos/{posSystemId}/integrations/account/newRegistration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public-api-demo.clearline.me/v2/pos/{posSystemId}/integrations/account/newRegistration"
payload = {
"subscriptionPlanCode": "157AJME5XDSE2",
"sendToEmail": "[some_email]",
"configuration": {
"posCompanyId": "comp5",
"posLocationId": "loc5",
"terminalId": "term5",
"externalUserId": "user5"
},
"profile": {
"firstName": "PT_141_1_first",
"lastName": "PT_141_1_last",
"email": "PT_141_1@mail.com",
"phoneNumber": "1111111111",
"companyName": "PT_141_1",
"address": "my address",
"city": "my city",
"state": "CA",
"website": "https://mysite.com",
"zip": "12323"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/integrations/account/newRegistration");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"subscriptionPlanCode\": \"157AJME5XDSE2\",\n \"sendToEmail\": \"[some_email]\",\n \"configuration\": {\n \"posCompanyId\": \"comp5\",\n \"posLocationId\": \"loc5\",\n \"terminalId\": \"term5\",\n \"externalUserId\": \"user5\"\n },\n \"profile\": {\n \"firstName\": \"PT_141_1_first\",\n \"lastName\": \"PT_141_1_last\",\n \"email\": \"PT_141_1@mail.com\",\n \"phoneNumber\": \"1111111111\",\n \"companyName\": \"PT_141_1\",\n \"address\": \"my address\",\n \"city\": \"my city\",\n \"state\": \"CA\",\n \"website\": \"https://mysite.com\",\n \"zip\": \"12323\"\n }\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/integrations/account/newRegistration")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"subscriptionPlanCode\": \"157AJME5XDSE2\",\n \"sendToEmail\": \"[some_email]\",\n \"configuration\": {\n \"posCompanyId\": \"comp5\",\n \"posLocationId\": \"loc5\",\n \"terminalId\": \"term5\",\n \"externalUserId\": \"user5\"\n },\n \"profile\": {\n \"firstName\": \"PT_141_1_first\",\n \"lastName\": \"PT_141_1_last\",\n \"email\": \"PT_141_1@mail.com\",\n \"phoneNumber\": \"1111111111\",\n \"companyName\": \"PT_141_1\",\n \"address\": \"my address\",\n \"city\": \"my city\",\n \"state\": \"CA\",\n \"website\": \"https://mysite.com\",\n \"zip\": \"12323\"\n }\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public-api-demo.clearline.me/v2/pos/{posSystemId}/integrations/account/newRegistration"
payload := strings.NewReader("{\n \"subscriptionPlanCode\": \"157AJME5XDSE2\",\n \"sendToEmail\": \"[some_email]\",\n \"configuration\": {\n \"posCompanyId\": \"comp5\",\n \"posLocationId\": \"loc5\",\n \"terminalId\": \"term5\",\n \"externalUserId\": \"user5\"\n },\n \"profile\": {\n \"firstName\": \"PT_141_1_first\",\n \"lastName\": \"PT_141_1_last\",\n \"email\": \"PT_141_1@mail.com\",\n \"phoneNumber\": \"1111111111\",\n \"companyName\": \"PT_141_1\",\n \"address\": \"my address\",\n \"city\": \"my city\",\n \"state\": \"CA\",\n \"website\": \"https://mysite.com\",\n \"zip\": \"12323\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/integrations/account/newRegistration")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"subscriptionPlanCode\": \"157AJME5XDSE2\",\n \"sendToEmail\": \"[some_email]\",\n \"configuration\": {\n \"posCompanyId\": \"comp5\",\n \"posLocationId\": \"loc5\",\n \"terminalId\": \"term5\",\n \"externalUserId\": \"user5\"\n },\n \"profile\": {\n \"firstName\": \"PT_141_1_first\",\n \"lastName\": \"PT_141_1_last\",\n \"email\": \"PT_141_1@mail.com\",\n \"phoneNumber\": \"1111111111\",\n \"companyName\": \"PT_141_1\",\n \"address\": \"my address\",\n \"city\": \"my city\",\n \"state\": \"CA\",\n \"website\": \"https://mysite.com\",\n \"zip\": \"12323\"\n }\n}")
.asString();{
"data": {}
}Starts an account registration based on the existing customer and subscription
curl --request POST \
--url https://public-api-demo.clearline.me/v2/pos/{posSystemId}/integrations/account/newRegistration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subscriptionPlanCode": "157AJME5XDSE2",
"sendToEmail": "[some_email]",
"configuration": {
"posCompanyId": "comp5",
"posLocationId": "loc5",
"terminalId": "term5",
"externalUserId": "user5"
},
"profile": {
"firstName": "PT_141_1_first",
"lastName": "PT_141_1_last",
"email": "PT_141_1@mail.com",
"phoneNumber": "1111111111",
"companyName": "PT_141_1",
"address": "my address",
"city": "my city",
"state": "CA",
"website": "https://mysite.com",
"zip": "12323"
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subscriptionPlanCode: '157AJME5XDSE2',
sendToEmail: '[some_email]',
configuration: {
posCompanyId: 'comp5',
posLocationId: 'loc5',
terminalId: 'term5',
externalUserId: 'user5'
},
profile: {
firstName: 'PT_141_1_first',
lastName: 'PT_141_1_last',
email: 'PT_141_1@mail.com',
phoneNumber: '1111111111',
companyName: 'PT_141_1',
address: 'my address',
city: 'my city',
state: 'CA',
website: 'https://mysite.com',
zip: '12323'
}
})
};
fetch('https://public-api-demo.clearline.me/v2/pos/{posSystemId}/integrations/account/newRegistration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public-api-demo.clearline.me/v2/pos/{posSystemId}/integrations/account/newRegistration"
payload = {
"subscriptionPlanCode": "157AJME5XDSE2",
"sendToEmail": "[some_email]",
"configuration": {
"posCompanyId": "comp5",
"posLocationId": "loc5",
"terminalId": "term5",
"externalUserId": "user5"
},
"profile": {
"firstName": "PT_141_1_first",
"lastName": "PT_141_1_last",
"email": "PT_141_1@mail.com",
"phoneNumber": "1111111111",
"companyName": "PT_141_1",
"address": "my address",
"city": "my city",
"state": "CA",
"website": "https://mysite.com",
"zip": "12323"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/integrations/account/newRegistration");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"subscriptionPlanCode\": \"157AJME5XDSE2\",\n \"sendToEmail\": \"[some_email]\",\n \"configuration\": {\n \"posCompanyId\": \"comp5\",\n \"posLocationId\": \"loc5\",\n \"terminalId\": \"term5\",\n \"externalUserId\": \"user5\"\n },\n \"profile\": {\n \"firstName\": \"PT_141_1_first\",\n \"lastName\": \"PT_141_1_last\",\n \"email\": \"PT_141_1@mail.com\",\n \"phoneNumber\": \"1111111111\",\n \"companyName\": \"PT_141_1\",\n \"address\": \"my address\",\n \"city\": \"my city\",\n \"state\": \"CA\",\n \"website\": \"https://mysite.com\",\n \"zip\": \"12323\"\n }\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/integrations/account/newRegistration")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"subscriptionPlanCode\": \"157AJME5XDSE2\",\n \"sendToEmail\": \"[some_email]\",\n \"configuration\": {\n \"posCompanyId\": \"comp5\",\n \"posLocationId\": \"loc5\",\n \"terminalId\": \"term5\",\n \"externalUserId\": \"user5\"\n },\n \"profile\": {\n \"firstName\": \"PT_141_1_first\",\n \"lastName\": \"PT_141_1_last\",\n \"email\": \"PT_141_1@mail.com\",\n \"phoneNumber\": \"1111111111\",\n \"companyName\": \"PT_141_1\",\n \"address\": \"my address\",\n \"city\": \"my city\",\n \"state\": \"CA\",\n \"website\": \"https://mysite.com\",\n \"zip\": \"12323\"\n }\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public-api-demo.clearline.me/v2/pos/{posSystemId}/integrations/account/newRegistration"
payload := strings.NewReader("{\n \"subscriptionPlanCode\": \"157AJME5XDSE2\",\n \"sendToEmail\": \"[some_email]\",\n \"configuration\": {\n \"posCompanyId\": \"comp5\",\n \"posLocationId\": \"loc5\",\n \"terminalId\": \"term5\",\n \"externalUserId\": \"user5\"\n },\n \"profile\": {\n \"firstName\": \"PT_141_1_first\",\n \"lastName\": \"PT_141_1_last\",\n \"email\": \"PT_141_1@mail.com\",\n \"phoneNumber\": \"1111111111\",\n \"companyName\": \"PT_141_1\",\n \"address\": \"my address\",\n \"city\": \"my city\",\n \"state\": \"CA\",\n \"website\": \"https://mysite.com\",\n \"zip\": \"12323\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/integrations/account/newRegistration")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"subscriptionPlanCode\": \"157AJME5XDSE2\",\n \"sendToEmail\": \"[some_email]\",\n \"configuration\": {\n \"posCompanyId\": \"comp5\",\n \"posLocationId\": \"loc5\",\n \"terminalId\": \"term5\",\n \"externalUserId\": \"user5\"\n },\n \"profile\": {\n \"firstName\": \"PT_141_1_first\",\n \"lastName\": \"PT_141_1_last\",\n \"email\": \"PT_141_1@mail.com\",\n \"phoneNumber\": \"1111111111\",\n \"companyName\": \"PT_141_1\",\n \"address\": \"my address\",\n \"city\": \"my city\",\n \"state\": \"CA\",\n \"website\": \"https://mysite.com\",\n \"zip\": \"12323\"\n }\n}")
.asString();{
"data": {}
}JWT Authorization header using the Bearer scheme.
Enter JWT Bearer token only in the text input below.
Pos system name
Account registration request data
Pos Account New Registration Request
Subscription plan code
1Email where registration email should be sent
1New Registration configuration DTO
Show child attributes
New Registration profile DTO
Show child attributes
Success
Pos Account New Registration Response